Subject: [alpine-aports] [PATCH] testing/perl-time-local: upgrade to 1.25

From: Valery Kartel <[email-masked]>
Date: Mon, 23 Jan 2017 13:11:16 +0200

- apkbuild cleanups
- fix download url
- fix -doc
---
 testing/perl-time-local/APKBUILD | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

diff --git a/testing/perl-time-local/APKBUILD b/testing/perl-time-local/APKBUILD
index 62ae9966d7..cae4f1e4e3 100644
--- a/testing/perl-time-local/APKBUILD
+++ b/testing/perl-time-local/APKBUILD
@@ -3,7 +3,7 @@
 # Maintainer: Francesco Colista <[email-masked]>
 pkgname=perl-time-local
 _pkgreal=Time-Local
-pkgver=1.2000
+pkgver=1.25
 pkgrel=0
 pkgdesc="unknown"
 url="http://search.cpan.org/dist/Time-Local/"
@@ -14,24 +14,29 @@ cpanmakedepends=""
 depends="$cpandepends"
 makedepends="perl-dev $cpanmakedepends"
 subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+source="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
 
 prepare() {
-	cd "$_builddir"
+	cd "$builddir"
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
 }
 
 build() {
-	cd "$_builddir"
-	make && make test
+	cd "$builddir"
+	make && make test || return 1
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
 }
 
-md5sums="dc9c362e980830d62b1e9653ca4f27fd  Time-Local-1.2000.tar.gz"
+doc() {
+	default_doc
+	replaces="perl-doc"
+}
+md5sums="f974bea54e26d9fc6e9bd1d594ba3da9  Time-Local-1.25.tar.gz"
+sha256sums="1ae9c51d777ac44a3ebc154dc625ba24d7c0cde6a8b6dba87b46d0777889fef2  Time-Local-1.25.tar.gz"
+sha512sums="7c21fd0d699bf139aebb5b252f1c37eed20ae78bbfd145390a97a08879121a242dbee0d81a405e634b15ffcbb640b4030c700b1b9cf11e98e474bd57c23f4c8a  Time-Local-1.25.tar.gz"
-- 
2.11.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---